Index: bootscripts/lfs/init.d/localnet
===================================================================
--- bootscripts/lfs/init.d/localnet	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/localnet	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,54 +1,66 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/localnet
+# Begin localnet
 #
 # Description : Loopback device
 #
 # Authors     : Gerard Beekmans  - gerard@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            localnet
+# Required-Start:      $local_fs
+# Should-Start:
+# Required-Stop:
+# Should-Stop:
+# Default-Start:       S
+# Default-Stop:        0 6
+# Short-Description:   Starts the local network.
+# Description:         Sets the hostname of the machine and starts the
+#                      loopback interface.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/boot/functions
 . /etc/sysconfig/network
 
 case "${1}" in
-	start)
-		boot_mesg "Bringing up the loopback interface..."
-		ip addr add 127.0.0.1/8 label lo dev lo
-		ip link set lo up
-		evaluate_retval
+   start)
+      boot_mesg "Bringing up the loopback interface..."
+      ip addr add 127.0.0.1/8 label lo dev lo
+      ip link set lo up
+      evaluate_retval
 
-		boot_mesg "Setting hostname to ${HOSTNAME}..."
-		hostname ${HOSTNAME}
-		evaluate_retval
-		;;
+      boot_mesg "Setting hostname to ${HOSTNAME}..."
+      hostname ${HOSTNAME}
+      evaluate_retval
+      ;;
 
-	stop)
-		boot_mesg "Bringing down the loopback interface..."
-		ip link set lo down
-		evaluate_retval
-		;;
+   stop)
+      boot_mesg "Bringing down the loopback interface..."
+      ip link set lo down
+      evaluate_retval
+      ;;
 
-	restart)
-		${0} stop
-		sleep 1
-		${0} start
-		;;
+   restart)
+      ${0} stop
+      sleep 1
+      ${0} start
+      ;;
 
-	status)
-		echo "Hostname is: $(hostname)"
-		ip link show lo
-		;;
+   status)
+      echo "Hostname is: $(hostname)"
+      ip link show lo
+      ;;
 
-	*)
-		echo "Usage: ${0} {start|stop|restart|status}"
-		exit 1
-		;;
+   *)
+      echo "Usage: ${0} {start|stop|restart|status}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/localnet
+# End localnet
Index: bootscripts/lfs/init.d/modules
===================================================================
--- bootscripts/lfs/init.d/modules	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/modules	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,18 +1,29 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/modules
+# Begin modules
 #
 # Description : Module auto-loading script
 #
 # Authors     : Zack Winkles
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            modules
+# Required-Start:      mountvirtfs sysctl
+# Should-Start:
+# Required-Stop:
+# Should-Stop:
+# Default-Start:       S
+# Default-Stop:
+# Short-Description:   Loads required modules.
+# Description:         Loads modules listed in /etc/sysconfig/modules.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/boot/functions
 
 # Assure that the kernel has module support.
@@ -20,53 +31,53 @@
 
 case "${1}" in
-	start)
+   start)
+      # Exit if there's no modules file or there are no
+      # valid entries
+      [ -r /etc/sysconfig/modules ] &&
+         egrep -qv '^($|#)' /etc/sysconfig/modules ||
+         exit 0
 
-		# Exit if there's no modules file or there are no
-		# valid entries
-		[ -r /etc/sysconfig/modules ] &&
-			egrep -qv '^($|#)' /etc/sysconfig/modules ||
-			exit 0
+      boot_mesg -n "Loading modules:" ${INFO}
 
-		boot_mesg -n "Loading modules:" ${INFO}
+      # Only try to load modules if the user has actually given us
+      # some modules to load.
+      while read module args; do
 
-		# Only try to load modules if the user has actually given us
-		# some modules to load.
-		while read module args; do
+         # Ignore comments and blank lines.
+         case "$module" in
+            ""|"#"*) continue ;;
+         esac
 
-			# Ignore comments and blank lines.
-			case "$module" in
-				""|"#"*) continue ;;
-			esac
+         # Attempt to load the module, making
+         # sure to pass any arguments provided.
+         modprobe ${module} ${args} >/dev/null
 
-			# Attempt to load the module, making
-			# sure to pass any arguments provided.
-			modprobe ${module} ${args} >/dev/null
+         # Print the module name if successful,
+         # otherwise take note.
+         if [ $? -eq 0 ]; then
+            boot_mesg -n " ${module}" ${NORMAL}
+         else
+            failedmod="${failedmod} ${module}"
+         fi
+      done < /etc/sysconfig/modules
 
-			# Print the module name if successful,
-			# otherwise take note.
-			if [ $? -eq 0 ]; then
-				boot_mesg -n " ${module}" ${NORMAL}
-			else
-				failedmod="${failedmod} ${module}"
-			fi
-		done < /etc/sysconfig/modules
+      boot_mesg "" ${NORMAL}
+      # Print a message about successfully loaded
+      # modules on the correct line.
+      echo_ok
 
-		boot_mesg "" ${NORMAL}
-		# Print a message about successfully loaded
-		# modules on the correct line.
-		echo_ok
+      # Print a failure message with a list of any
+      # modules that may have failed to load.
+      if [ -n "${failedmod}" ]; then
+         boot_mesg "Failed to load modules:${failedmod}" ${FAILURE}
+         echo_failure
+      fi
+      ;;
 
-		# Print a failure message with a list of any
-		# modules that may have failed to load.
-		if [ -n "${failedmod}" ]; then
-			boot_mesg "Failed to load modules:${failedmod}" ${FAILURE}
-			echo_failure
-		fi
-		;;
-	*)
-		echo "Usage: ${0} {start}"
-		exit 1
-		;;
+   *)
+      echo "Usage: ${0} {start}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/modules
+# End modules
Index: bootscripts/lfs/init.d/mountfs
===================================================================
--- bootscripts/lfs/init.d/mountfs	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/mountfs	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,56 +1,70 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/mountfs
+# Begin mountfs
 #
 # Description : File System Mount Script
 #
 # Authors     : Gerard Beekmans - gerard@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            $local_fs
+# Required-Start:      udev checkfs
+# Should-Start:
+# Required-Stop:       swap
+# Should-Stop:
+# Default-Start:       S
+# Default-Stop:        0 6
+# Short-Description:   Mounts/unmounts local filesystems defined in /etc/fstab.
+# Description:         Remounts root filesystem read/write and mounts all
+#                      remaining local filesystems defined in /etc/fstab on
+#                      start.  Remounts root filesystem read-only and unmounts
+#                      remaining filesystems on stop.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/boot/functions
 
 case "${1}" in
-	start)
-		boot_mesg "Remounting root file system in read-write mode..."
-		mount -n -o remount,rw / >/dev/null
-		evaluate_retval
+   start)
+      boot_mesg "Remounting root file system in read-write mode..."
+      mount -n -o remount,rw / >/dev/null
+      evaluate_retval
 
-		# Remove fsck-related file system watermarks.
-		rm -f /fastboot /forcefsck
+      # Remove fsck-related file system watermarks.
+      rm -f /fastboot /forcefsck
 
-		boot_mesg "Recording existing mounts in /etc/mtab..."
-		> /etc/mtab
+      boot_mesg "Recording existing mounts in /etc/mtab..."
+      > /etc/mtab
 
-		mount -f / || failed=1
-		mount -f /proc || failed=1
-		mount -f /sys || failed=1
-		mount -f /run || failed=1
-		(exit ${failed})
-		evaluate_retval
+      mount -f /     || failed=1
+      mount -f /proc || failed=1
+      mount -f /sys  || failed=1
+      mount -f /run  || failed=1
+      (exit ${failed})
+      evaluate_retval
 
-		# This will mount all filesystems that do not have _netdev in
-		# their option list.  _netdev denotes a network filesystem.
-		boot_mesg "Mounting remaining file systems..."
-		mount -a -O no_netdev >/dev/null
-		evaluate_retval
-		;;
+      # This will mount all filesystems that do not have _netdev in
+      # their option list.  _netdev denotes a network filesystem.
+      boot_mesg "Mounting remaining file systems..."
+      mount -a -O no_netdev >/dev/null
+      evaluate_retval
+      ;;
 
-	stop)
-		boot_mesg "Unmounting all other currently mounted file systems..."
-		umount -a -d -r >/dev/null
-		evaluate_retval
-		;;
+   stop)
+      boot_mesg "Unmounting all other currently mounted file systems..."
+      umount -a -d -r >/dev/null
+      evaluate_retval
+      ;;
 
-	*)
-		echo "Usage: ${0} {start|stop}"
-		exit 1
-		;;
+   *)
+      echo "Usage: ${0} {start|stop}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/mountfs
+# End mountfs
Index: bootscripts/lfs/init.d/mountvirtfs
===================================================================
--- bootscripts/lfs/init.d/mountvirtfs	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/mountvirtfs	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,50 +1,63 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/mountvirtfs
+# Begin mountvirtfs
 #
 # Description : Mount proc, sysfs, and run
 #
 # Authors     : Gerard Beekmans - gerard@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            mountvirtfs
+# Required-Start:
+# Should-Start:
+# Required-Stop:
+# Should-Stop:
+# Default-Start:       S
+# Default-Stop:
+# Short-Description:   Mounts /sys and /proc virtual (kernel) filesystems.
+#                      Mounts /run tmpfs.
+# Description:         Mounts /sys and /proc virtual (kernel) filesystems.
+#                      Mounts /run tmpfs.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/boot/functions
 
 case "${1}" in
-	start)
-		boot_mesg -n "Mounting virtual file systems:" ${INFO}
+   start)
+      mkdir -p /run
+      mount -n /run || failed=1
+      mkdir -p /run/{var,lock,shm}
 
-		if ! mountpoint /proc >/dev/null; then
-			boot_mesg -n " /proc" ${NORMAL}
-			mount -n /proc || failed=1
-		fi
 
-		if ! mountpoint /sys >/dev/null; then
-			boot_mesg -n " /sys" ${NORMAL}
-			mount -n /sys || failed=1
-		fi
+      boot_mesg -n "Mounting virtual file systems:" ${INFO}
+      boot_mesg -n " /run" ${NORMAL}
 
-		if ! mountpoint /run >/dev/null; then
-			boot_mesg -n " /run" ${NORMAL}
-			mount -n /run || failed=1
-			mkdir /run/{var,lock,shm}
-		fi
+      if ! mountpoint /proc >/dev/null; then
+         boot_mesg -n " /proc" ${NORMAL}
+         mount -n /proc || failed=1
+      fi
 
-		boot_mesg "" ${NORMAL}
+      if ! mountpoint /sys >/dev/null; then
+         boot_mesg -n " /sys" ${NORMAL}
+         mount -n /sys || failed=1
+      fi
 
-		(exit ${failed})
-		evaluate_retval
-		;;
+      boot_mesg "" ${NORMAL}
 
-	*)
-		echo "Usage: ${0} {start}"
-		exit 1
-		;;
+      (exit ${failed})
+      evaluate_retval
+      ;;
+
+   *)
+      echo "Usage: ${0} {start}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/mountvertfs
+# End mountvertfs
Index: bootscripts/lfs/init.d/network
===================================================================
--- bootscripts/lfs/init.d/network	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/network	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,73 +1,81 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/network
+# Begin network
 #
 # Description : Network Control Script
 #
 # Authors     : Gerard Beekmans - gerard@linuxfromscratch.org
-#		Nathan Coulson - nathan@linuxfromscratch.org
-#		Kevin P. Fleming - kpfleming@linuxfromscratch.org
+#               Nathan Coulson - nathan@linuxfromscratch.org
+#               Kevin P. Fleming - kpfleming@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
-. /etc/sysconfig/network
+### BEGIN INIT INFO
+# Provides:            $network
+# Required-Start:      $local_fs swap localnet
+# Should-Start:        $syslog
+# Required-Stop:       $local_fs swap localnet
+# Should-Stop:         $syslog
+# Default-Start:       3 4 5
+# Default-Stop:        0 1 2 6
+# Short-Description:   Starts and configures network interfaces.
+# Description:         Starts and configures network interfaces.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
 
 case "${1}" in
-	start)
-		# Start all network interfaces
-		for file in ${network_devices}/ifconfig.*
-		do
-			interface=${file##*/ifconfig.}
+   start)
+      # Start all network interfaces
+      for file in /etc/sysconfig/ifconfig.*
+      do
+         interface=${file##*/ifconfig.}
 
-			# skip if $file is * (because nothing was found)
-			if [ "${interface}" = "*" ]
-			then
-				continue
-			fi
+         # skip if $file is * (because nothing was found)
+         if [ "${interface}" = "*" ]
+         then
+            continue
+         fi
 
-			IN_BOOT=1 ${network_devices}/ifup ${interface}
-		done
-		;;
+         /sbin/ifup ${interface}
+      done
+      ;;
 
-	stop)
-		# Reverse list
-		FILES=""
-		for file in ${network_devices}/ifconfig.*
-		do
-			FILES="${file} ${FILES}"
-		done
+   stop)
+      # Reverse list
+      FILES=""
+      for file in  /etc/sysconfig/ifconfig.*
+      do
+         FILES="${file} ${FILES}"
+      done
 
-		# Stop all network interfaces
-		for file in ${FILES}
-		do
-			interface=${file##*/ifconfig.}
+      # Stop all network interfaces
+      for file in ${FILES}
+      do
+         interface=${file##*/ifconfig.}
 
-			# skip if $file is * (because nothing was found)
-			if [ "${interface}" = "*" ]
-			then
-				continue
-			fi
+         # skip if $file is * (because nothing was found)
+         if [ "${interface}" = "*" ]
+         then
+            continue
+         fi
 
-			IN_BOOT=1 ${network_devices}/ifdown ${interface}
-		done
-		;;
+         /sbin/ifdown ${interface}
+      done
+      ;;
 
-	restart)
-		${0} stop
-		sleep 1
-		${0} start
-		;;
+   restart)
+      ${0} stop
+      sleep 1
+      ${0} start
+      ;;
 
-	*)
-		echo "Usage: ${0} {start|stop|restart}"
-		exit 1
-		;;
+   *)
+      echo "Usage: ${0} {start|stop|restart}"
+      exit 1
+      ;;
 esac
 
-# End /etc/rc.d/init.d/network
+# End network
Index: bootscripts/lfs/init.d/rc
===================================================================
--- bootscripts/lfs/init.d/rc	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/rc	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,18 +1,51 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/rc
+# Begin rc
 #
 # Description : Main Run Level Control Script
 #
 # Authors     : Gerard Beekmans  - gerard@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+. /lib/boot/functions
+
+print_error_msg()
+{
+   echo_failure
+   # $i is set when called
+   boot_mesg -n "FAILURE:\n\nYou should not be reading this error message.\n\n" ${FAILURE}
+   boot_mesg -n " It means that an unforeseen error took"
+   boot_mesg -n " place in ${i}, which exited with a return value of"
+   boot_mesg " ${error_value}.\n"
+   boot_mesg_flush
+   boot_mesg -n "If you're able to track this"
+   boot_mesg -n " error down to a bug in one of the files provided by"
+   boot_mesg -n " the LFS book, please be so kind to inform us at"
+   boot_mesg " lfs-dev@linuxfromscratch.org.\n"
+   boot_mesg_flush
+   boot_mesg -n "Press Enter to continue..." ${INFO}
+   boot_mesg "" ${NORMAL}
+   wait_for_user
+}
+
+check_script_status()
+{
+   # $i is set when called
+   if [ ! -f ${i} ]; then
+      boot_mesg "${i} is not a valid symlink." ${WARNING}
+      echo_warning
+      continue
+   fi
+
+   if [ ! -x ${i} ]; then
+      boot_mesg "${i} is not executable, skipping." ${WARNING}
+      echo_warning
+      continue
+   fi
+}
 
 # This sets a few default terminal options.
@@ -25,6 +58,6 @@
 
 if [ "${runlevel}" = "" ]; then
-	echo "Usage: ${0} <runlevel>" >&2
-	exit 1
+   echo "Usage: ${0} <runlevel>" >&2
+   exit 1
 fi
 
@@ -32,68 +65,69 @@
 [ "${previous}" = "" ] && previous=N
 
-if [ ! -d ${rc_base}/rc${runlevel}.d ]; then
-	boot_mesg "${rc_base}/rc${runlevel}.d does not exist." ${WARNING}
-	boot_mesg_flush
-	exit 1
+if [ ! -d /etc/rc.d/rc${runlevel}.d ]; then
+   boot_mesg "/etc/rc.d/rc${runlevel}.d does not exist." 
+   exit 1
 fi
 
-# Attempt to stop all service started by previous runlevel,
+# Attempt to stop all services started by the previous runlevel,
 # and killed in this runlevel
 if [ "${previous}" != "N" ]; then
-	for i in $(ls -v ${rc_base}/rc${runlevel}.d/K* 2> /dev/null)
-	do
-		check_script_status
+   for i in $(ls -v /etc/rc.d/rc${runlevel}.d/K* 2> /dev/null)
+   do
+      check_script_status
 
-		suffix=${i#$rc_base/rc$runlevel.d/K[0-9][0-9]}
-		prev_start=$rc_base/rc$previous.d/S[0-9][0-9]$suffix
-		sysinit_start=$rc_base/rcsysinit.d/S[0-9][0-9]$suffix
+      suffix=${i#/etc/rc.d/rc$runlevel.d/K[0-9][0-9]}
+      prev_start=/etc/rc.d/rc$previous.d/S[0-9][0-9]$suffix
+      sysinit_start=/etc/rc.d/rcsysinit.d/S[0-9][0-9]$suffix
 
-		if [ "${runlevel}" != "0" ] && [ "${runlevel}" != "6" ]; then
-			if [ ! -f ${prev_start} ] && [ ! -f ${sysinit_start} ]; then
-				boot_mesg -n "WARNING:\n\n${i} can't be" ${WARNING}
-				boot_mesg -n " executed because it was not"
-				boot_mesg -n " not started in the previous"
-				boot_mesg -n " runlevel (${previous})."
-				boot_mesg "" ${NORMAL}
-				boot_mesg_flush
-				continue
-			fi
-		fi
-		${i} stop
-		error_value=${?}
+      if [ "${runlevel}" != "0" ] && [ "${runlevel}" != "6" ]; then
+         if [ ! -f ${prev_start} ] && [ ! -f ${sysinit_start} ]; then
+            boot_mesg -n "WARNING:\n\n${i} can't be" ${WARNING}
+            boot_mesg -n " executed because it was not"
+            boot_mesg -n " not started in the previous"
+            boot_mesg -n " runlevel (${previous})."
+            boot_mesg "" ${NORMAL}
+            boot_mesg_flush
+            continue
+         fi
+      fi
+      ${i} stop
+      error_value=${?}
 
-		if [ "${error_value}" != "0" ]; then
-			print_error_msg
-		fi
-	done
+      if [ "${error_value}" != "0" ]; then
+         print_error_msg
+      fi
+   done
 fi
 
+[ "${previous}" = "N" ] && IN_BOOT=1
+
 #Start all functions in this runlevel
-for i in $( ls -v ${rc_base}/rc${runlevel}.d/S* 2> /dev/null)
+for i in $( ls -v /etc/rc.d/rc${runlevel}.d/S* 2> /dev/null)
 do
-	if [ "${previous}" != "N" ]; then
-		suffix=${i#$rc_base/rc$runlevel.d/S[0-9][0-9]}
-		stop=$rc_base/rc$runlevel.d/K[0-9][0-9]$suffix
-		prev_start=$rc_base/rc$previous.d/S[0-9][0-9]$suffix
+   if [ "${previous}" != "N" ]; then
+      suffix=${i#/etc/rc.d/rc$runlevel.d/S[0-9][0-9]}
+      stop=/etc/rc.d/rc$runlevel.d/K[0-9][0-9]$suffix
+      prev_start=/etc/rc.d/rc$previous.d/S[0-9][0-9]$suffix
 
-		[ -f ${prev_start} ] && [ ! -f ${stop} ] && continue
-	fi
+      [ -f ${prev_start} ] && [ ! -f ${stop} ] && continue
+   fi
 
-	check_script_status
+   check_script_status
 
-	case ${runlevel} in
-		0|6)
-			${i} stop
-			;;
-		*)
-			${i} start
-			;;
-	esac
-	error_value=${?}
+   case ${runlevel} in
+      0|6)
+         ${i} stop
+         ;;
+      *)
+         ${i} start
+         ;;
+   esac
+   error_value=${?}
 
-	if [ "${error_value}" != "0" ]; then
-		print_error_msg
-	fi
+   if [ "${error_value}" != "0" ]; then
+      print_error_msg
+   fi
 done
 
-# End $rc_base/init.d/rc
+# End rc
Index: bootscripts/lfs/init.d/reboot
===================================================================
--- bootscripts/lfs/init.d/reboot	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/reboot	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,31 +1,42 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/reboot
+# Begin reboot
 #
 # Description : Reboot Scripts
 #
 # Authors     : Gerard Beekmans - gerard@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            reboot
+# Required-Start:
+# Should-Start:
+# Required-Stop:
+# Should-Stop:
+# Default-Start:       6
+# Default-Stop:
+# Short-Description:   Reboots the system.
+# Description:         Reboots the System.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/boot/functions
 
 case "${1}" in
-	stop)
-		boot_mesg "Restarting system..."
-		reboot -d -f -i
-		;;
+   stop)
+      boot_mesg "Restarting system..."
+      reboot -d -f -i
+      ;;
 
-	*)
-		echo "Usage: ${0} {stop}"
-		exit 1
-		;;
+   *)
+      echo "Usage: ${0} {stop}"
+      exit 1
+      ;;
 
 esac
 
-# End $rc_base/init.d/reboot
+# End reboot
Index: bootscripts/lfs/init.d/sendsignals
===================================================================
--- bootscripts/lfs/init.d/sendsignals	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/sendsignals	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,52 +1,63 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/sendsignals
+# Begin sendsignals
 #
 # Description : Sendsignals Script
 #
 # Authors     : Gerard Beekmans - gerard@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            sendsignals
+# Required-Start:
+# Should-Start:
+# Required-Stop:       $local_fs swap localnet
+# Should-Stop:
+# Default-Start:
+# Default-Stop:        0 6
+# Short-Description:   Attempts to kill remaining processes.
+# Description:         Attempts to kill remaining processes.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/boot//functions
 
 case "${1}" in
-	stop)
-		boot_mesg "Sending all processes the TERM signal..."
-		killall5 -15
-		error_value=${?}
+   stop)
+      boot_mesg "Sending all processes the TERM signal..."
+      killall5 -15
+      error_value=${?}
 
-		sleep ${KILLDELAY}
+      sleep ${KILLDELAY}
 
-		if [ "${error_value}" = 0 -o "${error_value}" = 2 ]; then
-			echo_ok
-		else
-			echo_failure
-		fi
+      if [ "${error_value}" = 0 -o "${error_value}" = 2 ]; then
+         echo_ok
+      else
+         echo_failure
+      fi
 
-		boot_mesg "Sending all processes the KILL signal..."
-		killall5 -9
-		error_value=${?}
+      boot_mesg "Sending all processes the KILL signal..."
+      killall5 -9
+      error_value=${?}
 
-		sleep ${KILLDELAY}
+      sleep ${KILLDELAY}
 
-		if [ "${error_value}" = 0 -o "${error_value}" = 2 ]; then
-			echo_ok
-		else
-			echo_failure
-		fi
-		;;
+      if [ "${error_value}" = 0 -o "${error_value}" = 2 ]; then
+         echo_ok
+      else
+         echo_failure
+      fi
+      ;;
 
-	*)
-		echo "Usage: ${0} {stop}"
-		exit 1
-		;;
+   *)
+      echo "Usage: ${0} {stop}"
+      exit 1
+      ;;
 
 esac
 
-# End $rc_base/init.d/sendsignals
+# End sendsignals
Index: bootscripts/lfs/init.d/setclock
===================================================================
--- bootscripts/lfs/init.d/setclock	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/setclock	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,47 +1,61 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/setclock
+# Begin setclock
 #
 # Description : Setting Linux Clock
 #
 # Authors     : Gerard Beekmans - gerard@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
-. /etc/sysconfig/clock
+### BEGIN INIT INFO
+# Provides:            $time
+# Required-Start:
+# Should-Start:        modules
+# Required-Stop:
+# Should-Stop:         $syslog
+# Default-Start:       S
+# Default-Stop:
+# Short-Description:   Stores and restores time from the hardware clock
+# Description:         On boot, system time is obtained from hwclock.  The
+#                      hardware clock can also be set on shutdown.
+# X-LFS-Provided-By:   LFS BLFS
+### END INIT INFO
+
+. /lib/boot/functions
+
+[ -r /etc/sysconfig/clock ] &&  . /etc/sysconfig/clock
+
 
 case "${UTC}" in
-	yes|true|1)
-		CLOCKPARAMS="${CLOCKPARAMS} --utc"
-		;;
+   yes|true|1)
+      CLOCKPARAMS="${CLOCKPARAMS} --utc"
+      ;;
 
-	no|false|0)
-		CLOCKPARAMS="${CLOCKPARAMS} --localtime"
-		;;
+   no|false|0)
+      CLOCKPARAMS="${CLOCKPARAMS} --localtime"
+      ;;
 
 esac
 
 case ${1} in
-	start)
-		boot_mesg "Setting system clock..."
-		hwclock --hctosys ${CLOCKPARAMS} >/dev/null
-		evaluate_retval
-		;;
+   start)
+      boot_mesg "Setting system clock..."
+      hwclock --hctosys ${CLOCKPARAMS} >/dev/null
+      evaluate_retval
+      ;;
 
-	stop)
-		boot_mesg "Setting hardware clock..."
-		hwclock --systohc ${CLOCKPARAMS} >/dev/null
-		evaluate_retval
-		;;
+   stop)
+      boot_mesg "Setting hardware clock..."
+      hwclock --systohc ${CLOCKPARAMS} >/dev/null
+      evaluate_retval
+      ;;
 
-	*)
-		echo "Usage: ${0} {start|stop}"
-		;;
+   *)
+      echo "Usage: ${0} {start|stop}"
+      ;;
 
 esac
Index: bootscripts/lfs/init.d/swap
===================================================================
--- bootscripts/lfs/init.d/swap	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/swap	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,50 +1,62 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/swap
+# Begin swap
 #
 # Description : Swap Control Script
 #
 # Authors     : Gerard Beekmans - gerard@linuxfromscratch.org
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            swap
+# Required-Start:      udev
+# Should-Start:        modules
+# Required-Stop:       localnet
+# Should-Stop:
+# Default-Start:       S
+# Default-Stop:        0 6
+# Short-Description:   Mounts and unmounts swap partitions.
+# Description:         Mounts and unmounts swap partitions defined in
+#                      /etc/fstab.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/boot/functions
 
 case "${1}" in
-	start)
-		boot_mesg "Activating all swap files/partitions..."
-		swapon -a
-		evaluate_retval
-		;;
+   start)
+      boot_mesg "Activating all swap files/partitions..."
+      swapon -a
+      evaluate_retval
+      ;;
 
-	stop)
-		boot_mesg "Deactivating all swap files/partitions..."
-		swapoff -a
-		evaluate_retval
-		;;
+   stop)
+      boot_mesg "Deactivating all swap files/partitions..."
+      swapoff -a
+      evaluate_retval
+      ;;
 
-	restart)
-		${0} stop
-		sleep 1
-		${0} start
-		;;
+   restart)
+      ${0} stop
+      sleep 1
+      ${0} start
+      ;;
 
-	status)
-		boot_mesg "Retrieving swap status." ${INFO}
-		echo_ok
-		echo
-		swapon -s
-		;;
+   status)
+      boot_mesg "Retrieving swap status." ${INFO}
+      echo_ok
+      echo
+      swapon -s
+      ;;
 
-	*)
-		echo "Usage: ${0} {start|stop|restart|status}"
-		exit 1
-		;;
+   *)
+      echo "Usage: ${0} {start|stop|restart|status}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/swap
+# End swap
Index: bootscripts/lfs/init.d/sysctl
===================================================================
--- bootscripts/lfs/init.d/sysctl	(revision 43c2ecf0b898e8dfaca243df6946522b5d49cda5)
+++ bootscripts/lfs/init.d/sysctl	(revision 0cda8984a835f37a573c0e2eb31676ff52773d16)
@@ -1,5 +1,5 @@
 #!/bin/sh
 ########################################################################
-# Begin $rc_base/init.d/sysctl
+# Begin sysctl
 #
 # Description : File uses /etc/sysctl.conf to set kernel runtime
@@ -8,32 +8,44 @@
 # Authors     : Nathan Coulson (nathan@linuxfromscratch.org)
 #               Matthew Burgress (matthew@linuxfromscratch.org)
+# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
 #
-# Version     : 00.00
-#
-# Notes       :
+# Version     : LFS 7.0
 #
 ########################################################################
 
-. /etc/sysconfig/rc
-. ${rc_functions}
+### BEGIN INIT INFO
+# Provides:            sysctl
+# Required-Start:      mountkernfs
+# Should-Start:
+# Required-Stop:
+# Should-Stop:
+# Default-Start:       S
+# Default-Stop:
+# Short-Description:   Makes changes to the proc filesystem
+# Description:         Makes changes to the proc filesystem as defined in
+#                      /etc/sysctl.conf.  See 'man sysctl(8)'.
+# X-LFS-Provided-By:   LFS
+### END INIT INFO
+
+. /lib/boot/functions
 
 case "${1}" in
-	start)
-		if [ -f "/etc/sysctl.conf" ]; then
-			boot_mesg "Setting kernel runtime parameters..."
-			sysctl -q -p
-			evaluate_retval
-		fi
-		;;
+   start)
+      if [ -f "/etc/sysctl.conf" ]; then
+         boot_mesg "Setting kernel runtime parameters..."
+         sysctl -q -p
+         evaluate_retval
+      fi
+      ;;
 
-	status)
-		sysctl -a	
-		;;
+   status)
+      sysctl -a
+      ;;
 
-	*)
-		echo "Usage: ${0} {start|status}"
-		exit 1
-		;;
+   *)
+      echo "Usage: ${0} {start|status}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/sysctl
+# End sysctl
